@import "../../../assets/styles/main.scss";

.desktopNavigation {
  &.headerFixed {
    position: fixed;
    width: 100%;
    z-index: 999;

    .desktopHeaderContainer {
      &:before {
        backdrop-filter: blur(6px);
        opacity: 0;
        transition: opacity 0.1s ease-in-out;
      }
    }
  }

  &.headerSticky {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 999;
    box-shadow: 0px 4px 17.4px 0px #b7b7b740;

    .desktopHeaderContainer {
      &:before {
        backdrop-filter: blur(0);
        -webkit-backdrop-filter: blur(0);
        opacity: 1;
        transition: opacity 0.1s ease-in-out;
      }
    }
  }

  &.headerPlain {
    position: relative;
    z-index: 999;
  }

  .desktopHeaderContainer {
    position: relative;
    background-color: transparent;
    background-color: getColorHex("white");
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 10px 30px;
    gap: 30px;
    background: none !important;

    &:before {
      background: getColorHex("white") !important;
    }
    @include xl {
      gap: 15px;
    }
    @include xs {
      padding: 15px 15px;
      gap: 15px;
    }

    .brand_logo_main {
      width: 95px;
      height: 95px;
      @include xxl {
        width: 69px;
        height: 70px;
      }
      @include xl {
        width: 65px;
        height: 65px;
      }
      @include lg {
        width: 60px;
        height: 60px;
      }
      @include xs {
        width: 50px;
        height: 50px;
      }

      img {
        height: 100%;
        width: 100%;
      }
    }

    &:before {
      position: absolute;
      z-index: -1;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      content: "";
    }

    .desktopNavigationMenu {
      gap: 30px;

      @include xl {
        gap: 15px;
      }
      @include lg {
        gap: 10px;
      }
      @include vertical_align_center;

      @include sm {
        display: none;
      }

      .tablink {
        font-size: 16px;
        line-height: 21.79px;
        text-align: left;
        position: relative;
        color: #000000 !important;
        transition: all 0.2s ease;

        @include lg {
          font-size: 13px;
        }

        &.active {
          &::after {
            content: "";
            position: absolute;
            width: 17px;
            height: 3px;
            border-bottom: 4px solid getColorHex("orange");
            bottom: -10px;
            left: 0px;
          }

          color: #f47500 !important;
          transition: all 0.2s ease;
        }
      }
    }

    .userSelectContainer {
      @include vertical_align_center;
      gap: 50px;
      .dropdown {
        button {
          display: flex;
          align-items: center;
          justify-content: flex-end;
          background: unset;
          border: unset;
          width: auto;
          padding: 0px;
          cursor: default;

          &:after {
            background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/dropdown_icon.svg);
            background-position: center;
            background-size: contain;
            background-repeat: no-repeat;
            min-width: 20px;
            height: 20px;
            border-top: unset;
            border-left: unset;
            cursor: pointer;
          }
        }
        .dropdownMenu {
          border-radius: 10px;
          border: 1px solid #e9edf5;
          background: #fff;
          box-shadow: 0px 20px 70px 0px rgba(86, 89, 146, 0.1);
          padding: 0px 10px;
          margin-top: 15px;
          width: 171px;
          inset: unset !important;
          transform: unset !important;
          right: 0px !important;
          @include lg {
            min-width: 130px;
            width: 130px;
            margin-top: 10px;
          }
          .dropdownItem {
            padding: 10px 0px;
            border-bottom: 1px solid #e9edf5;
            display: flex;
            align-items: center;
            gap: 10px;
            @include lg {
              padding: 5px 0px;
              gap: 5px;
            }
            .hovericon {
              display: none;
            }
            .defaulticon {
              display: block;
            }
            img {
              width: 20px;
              height: 20px;
            }
            h3 {
              font-size: 16px;
              @include inter500;
              line-height: normal;
              @include lg {
                font-size: 13px;
              }
            }
            &:last-child {
              border-bottom: unset;
            }
            &:hover {
              // background: #f47500;
              background: unset;

              // h3{
              //   color: #fff;
              // }
              // .hovericon{
              //   display: block;
              // }
              // .defaulticon{
              //   display: none;
              // }
            }
          }
        }
      }
      h5 {
        font-size: 16px;
        line-height: 24.2px;
        text-align: left;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        color: #000;
        width: auto;
        max-width: 370px;
        @include xxl {
          max-width: 200px;
          font-size: 16px;
          line-height: 21.79px;
        }
        @include xl {
          max-width: 150px;
        }
        @include lg {
          max-width: 120px;
          font-size: 13px;
          line-height: 22.2px;
        }
      }

      @include xxl {
        gap: 30px;
      }
      @include lg {
        gap: 20px;
      }

      .login_sing_up {
        background-color: transparent;
        border: none;
        cursor: pointer;
        padding: 0;
        width: -moz-fit-content;
        width: max-content;
        font-size: 20px;
        line-height: 27.24px;

        @include xxl {
          font-size: 16px;
          line-height: 21.79px;
          width: 135px;
        }
        @include lg {
          font-size: 14px;
          width: 118px;
        }

        @include sm {
          display: none;
        }

        &.active {
          color: #f47500 !important;
        }
      }

      .userDataSection {
        @include vertical_align_center;
        flex-direction: row;
        gap: 30px;

        @include xl {
          gap: 15px;
        }
      }

      .mobielMenuIcon {
        height: 24px;
        width: 24px;
        display: none;

        @include sm {
          display: block;
        }
        img {
          height: 100%;
          width: 100%;
        }
      }
    }
  }

  .sidenav {
    height: 100%;
    width: 100%;
    transform: translateX(-100%);
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    background-color: getColorHex("white");
    overflow-x: hidden;
    transition: 0.5s;
    text-align: center;

    &.open {
      transform: translateX(0%);
    }

    .closebtn {
      position: absolute;
      top: 10px;
      right: 24px;
      font-size: 36px;
      background: none;
      border: none;
      cursor: pointer;
    }

    .firstMenuContainer {
      text-align: left;
      padding: 24px 24px 48px 24px;
      display: flex;
      flex-direction: column;
      gap: 48px;

      .menuLinks {
        font-size: 18px;
        line-height: 24px;
        display: flex;
        flex-direction: row !important;
        align-items: center;
        justify-content: space-between;
        padding: 12px 0;
        min-height: 48px;
        svg {
          margin-right: 4px;
        }
      }
    }

    .sidenavCloseContainer {
      padding: 10px 0;
      height: 64px;
      background-color: getColorHex("green");
    }
  }
}
